Bug 991717 - JBoss Servers Report a Status of Building Indefinitely When Code is Pushed [NEEDINFO]
JBoss Servers Report a Status of Building Indefinitely When Code is Pushed
Status: CLOSED INSUFFICIENT_DATA
Product: OpenShift Online
Classification: Red Hat
Component: Image (Show other bugs)
2.x
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
: SupportQuestion, UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-03 21:09 EDT by Anthony Brian Mallgren
Modified: 2015-05-14 20:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 16:31:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dmace: needinfo? (cklingodev)


Attachments (Terms of Use)

  None (edit)
Description Anthony Brian Mallgren 2013-08-03 21:09:01 EDT
Description of problem:
Once code is pushed to the server, the web pages go down and the server reports a status of Building in the web suite. A restart of the application ends in the new code/changes not being displayed on the web site.

Version-Release number of selected component (if applicable):


How reproducible:
Push code, attempt to visit site, view status in OpenShift administration web suite.


Steps to Reproduce:
1. Push code from Git
2. View status at https://openshift.redhat.com/app/console/application/r
3. It will report Building indefinitely
4. Attempt to restart the application
5. See if changes appear by visiting the site once again after the restart of the application is complete

Actual results:
The status of the application will remain Building
The updates are not shown on the web site

Expected results:
The status of the application should update to Ready
The updates should show on the web site

Additional info:
Comment 1 Dan Mace 2013-08-05 11:14:24 EDT
I need more details to reproduce this issue (What specific cartridge was used? What sort of code change was pushed to the application?). Can I also get the name of the application exhibiting this behavior?

I'm not seeing any issues with application state pushing changes to jbossas-7 applications.
Comment 2 Anthony Brian Mallgren 2013-08-05 23:52:10 EDT
I've already included the application name/URL in the post above. 

https://openshift.redhat.com/app/console/application/r

As you stated, it was the jbossas-7 cartridge. I'm not too sure about it, but any code change I push, including spacing, will trip the never ending build.

I was really looking to pull a damn ace out of this one too! Looks like I'm not even capable enough to finish a build. I guess I can always switch to PHP or the Microsoft stack.
Comment 3 Dan Mace 2013-08-15 10:38:08 EDT
Anthony,

I still need to know your application name/namespace. The URL you posted in the original description and in the followup comment is a generic location of a portion of the OpenShift web console. Can you please provide me with your application's name and the namespace/domain you configured for the application in question?
Comment 4 Dan Mace 2013-11-05 16:31:33 EST
Closing due to insufficient information to diagnose and lack of evidence of a bug in the product.

Note You need to log in before you can comment on or make changes to this bug.